<?php

namespace Bydedi\Routing\Loader;

use Symfony\Component\Routing\Loader\AnnotationClassLoader as AnnotationClassLoaderSF;
use Symfony\Component\Routing\Route;

class AnnotationClassLoaderI18n extends AnnotationClassLoaderSF
{

    protected function configureRoute(Route $route, \ReflectionClass $class, \ReflectionMethod $method, $annot)
    {
        $route->setDefault('_controller', $class->getName());
        $route->setDefault('_action', $method->getName());
        // add prefix to the url
        $route->setPath('/{_locale}' . $route->getPath());
    }
}
